running = True

while running:
    num = int(input("Enter a number between 1 and 20: "))
    if num < 1:
        print("Incorrect entry. Number NOT between 1 & 20.")
        continue
    elif num > 20:
        print("Incorrect entry. Number NOT between 1 & 20.")
        continue
    
    print("Thank you. Number within correct range.")
    running = False
    